Delete volume
Volumes
Delete volume
Delete a volume and all its snapshots. The volume must be in an available state to be deleted.
DELETE
Delete volume
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Volume ID
Example:
"726ecfcc-7fd0-4e30-a86e-7892524aa483"
Query Parameters
Comma separated list of snapshot IDs to be deleted with the volume.
Example:
"726ecfcc-7fd0-4e30-a86e-7892524aa483,726ecfcc-7fd0-4e30-a86e-7892524aa484"
Response
200 - application/json
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]